Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.sql
Class BDConnectionHelpper

    java.lang.Object
      com.ejie.r01f.sql.BDConnectionHelpper

public class BDConnectionHelpper
extends java.lang.Object

BDConnectionHelpper Clase que se encarga de manejar conexiones a bases de datos. Hay que pasar un objeto Properties con datos para obtener la conexion. Los datos de la conexion normalmente se obtienen de un fichero .properties.xml que ha de tener una seccion con la forma: weblogic.jdbc20.oci.Driver jdbc20:weblogic:oracle usuario password server Datasource poolPrueba Utilizando el metodo SQLHelpper.getConnectionProperties(appCode,connectionName) se obtiene el objeto Properties a partir del XML anterior. Se ofrecen una serie de métodos estáticos para obtener conexiones Created on 3 de marzo de 2002, 16:16

Version:
Author:
  Alex

Constructor Summary
`BDConnectionHelpper()` Constructor vacio

Method Summary
`static void` | `closeConnection(java.sql.Connection conx)` Libera una conexión a base de datos
`static java.lang.String` | `composeNoConfigErrorMessage()` Compone un error indicando que no se ha definido la seccion de base de datos en las properties.xml
`static java.sql.Connection` | `getConnection(java.util.Properties props)` Devuelve una conexión con la base de datos Hay que pasar como parametro un objeto Properties con la definicion de la conexion.
`static java.sql.Connection` | `getConnection(java.lang.String appCode, java.lang.String conxName)` Obtiene una conexion a base de datos con los datos de conexion definidos en el fichero .properties.xml de la aplicacion que se pasa como parametro
`static java.util.Properties` | `obtainConnectionProperties(java.lang.String appCode, java.lang.String connectionName)` Obtiene las propiedades de una conexión accediendo a el fichero .properties.xml En este fichero hay una parte dedicada a base de datos con el siguiente formato: weblogic.jdbc20.oci.Driver jdbc20:weblogic:oracle usuario password server Datasource poolPrueba A partir de estos datos, se obtiene un objeto Properties...

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BDConnectionHelpper

    public BDConnectionHelpper()

  Constructor vacio

Method Detail

### obtainConnectionProperties

    public static java.util.Properties obtainConnectionProperties(java.lang.String appCode,
                                                                  java.lang.String connectionName)

  Obtiene las propiedades de una conexión accediendo a el fichero .properties.xml En este fichero hay una parte dedicada a base de datos con el siguiente formato: weblogic.jdbc20.oci.Driver jdbc20:weblogic:oracle usuario password server Datasource poolPrueba A partir de estos datos, se obtiene un objeto Properties...

  Parameters:
    `appCode` - codigo de aplicacion
    `connectionName` - nombre de la conexión
  Returns:
    las propiedades de la conexión

### getConnection

    public static java.sql.Connection getConnection(java.lang.String appCode,
                                                    java.lang.String conxName)
                                             throws java.sql.SQLException

  Obtiene una conexion a base de datos con los datos de conexion definidos en el fichero .properties.xml de la aplicacion que se pasa como parametro

  Parameters:
    `appCode` - El codigo de aplicacion
    `conxName` - El nombre de la conexion (ver fichero .properties.xml)
  Returns:
    la conexión de base datos
  Throws:
    `java.sql.SQLException` - si hay algun error

### getConnection

    public static java.sql.Connection getConnection(java.util.Properties props)
                                             throws java.sql.SQLException

  Devuelve una conexión con la base de datos Hay que pasar como parametro un objeto Properties con la definicion de la conexion. Esta definicion normalmente se hace en un fichero .properties.xml en una seccion como la siguiente. weblogic.jdbc20.oci.Driver jdbc20:weblogic:oracle usuario password server Datasource poolPrueba Si class es Datasource, se obtiene una conexion de un datasource (pool) cuyo nombre se especifica en uri Si class es un Driver jdbc se obtiene una conexion con dicho driver y utilizando el uri, servidor, usuario y clave especificados

  Parameters:
    `props` - Propiedades para obtener la conexion
  Returns:
    Conexión con la base de datos
  Throws:
    `java.sql.SQLException` - si hay algun error

### closeConnection

    public static void closeConnection(java.sql.Connection conx)
                                throws java.sql.SQLException

  Libera una conexión a base de datos

  Parameters:
    `conx` - la conexión que hay que cerrar
  Throws:
    `java.sql.SQLException` - si hay algun error al cerrar

### composeNoConfigErrorMessage

    public static java.lang.String composeNoConfigErrorMessage()

  Compone un error indicando que no se ha definido la seccion de base de datos en las properties.xml

  Returns:
    el mensaje de error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD